Bug 997651 - possible recursive locking detected
possible recursive locking detected
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Adam Jackson
Desktop QE
: OtherQA
Depends On:
Blocks: 1056244
  Show dependency treegraph
Reported: 2013-08-15 17:40 EDT by Jacob Hunt
Modified: 2015-12-28 12:00 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-2.6.32-483.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-10-14 01:22:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 186963 None None None Never

  None (edit)
Description Jacob Hunt 2013-08-15 17:40:45 EDT
Description of problem:

When booting a 2.6.32-358.14.1.el6.x86_64.debug kernel, during boot I receive the dmesg log:
[drm] initialized overlay support

[ INFO: possible recursive locking detected ]
2.6.32-358.14.1.el6.x86_64.debug #1
modprobe/95 is trying to acquire lock:
 (&adap->bus_lock){+.+.+.}, at: [<ffffffffa004569a>] i2c_transfer+0x6a/0x160 [i2c_core]

but task is already holding lock:
 (&adap->bus_lock){+.+.+.}, at: [<ffffffffa004569a>] i2c_transfer+0x6a/0x160 [i2c_core]

other info that might help us debug this:
2 locks held by modprobe/95:
 #0:  (drm_global_mutex){+.+.+.}, at: [<ffffffffa00648de>] drm_get_pci_dev+0xee/0x280 [drm]
 #1:  (&adap->bus_lock){+.+.+.}, at: [<ffffffffa004569a>] i2c_transfer+0x6a/0x160 [i2c_core]

stack backtrace:
Pid: 95, comm: modprobe Not tainted 2.6.32-358.14.1.el6.x86_64.debug #1
Call Trace:
 [<ffffffff810b68e0>] ? __lock_acquire+0x11c0/0x1570
 [<ffffffff810c234e>] ? is_module_text_address+0xe/0x20
 [<ffffffff810b0684>] ? __bfs+0x124/0x290
 [<ffffffff810b6d34>] ? lock_acquire+0xa4/0x120
 [<ffffffffa004569a>] ? i2c_transfer+0x6a/0x160 [i2c_core]
 [<ffffffff810b3fbe>] ? check_usage_backwards+0x6e/0xf0
 [<ffffffff815405f3>] ? __mutex_lock_common+0x43/0x400
 [<ffffffffa004569a>] ? i2c_transfer+0x6a/0x160 [i2c_core]
 [<ffffffff810b4a84>] ? mark_lock+0x224/0x430
 [<ffffffffa004569a>] ? i2c_transfer+0x6a/0x160 [i2c_core]
 [<ffffffff81540ab8>] ? mutex_lock_nested+0x48/0x60
 [<ffffffffa004569a>] ? i2c_transfer+0x6a/0x160 [i2c_core]
 [<ffffffffa00fc7ae>] ? intel_sdvo_write_cmd+0x2de/0x3b0 [i915]
 [<ffffffffa00fd433>] ? intel_sdvo_ddc_proxy_xfer+0x43/0x70 [i915]
 [<ffffffffa00456ea>] ? i2c_transfer+0xba/0x160 [i2c_core]
 [<ffffffffa0070d62>] ? drm_do_probe_ddc_edid+0x72/0x100 [drm]
 [<ffffffffa0070ff0>] ? drm_get_edid+0x30/0x300 [drm]
 [<ffffffffa00fc377>] ? intel_sdvo_read_response+0x1b7/0x1d0 [i915]
 [<ffffffffa00fe2e4>] ? intel_sdvo_detect+0x224/0x370 [i915]
 [<ffffffffa00b6213>] ? drm_helper_probe_single_connector_modes+0x1b3/0x350 [drm_kms_helper]
 [<ffffffffa00b42b2>] ? drm_fb_helper_initial_config+0x1c2/0x260 [drm_kms_helper]
 [<ffffffff81526b90>] ? kmemleak_alloc+0x20/0xd0
 [<ffffffff81181cdb>] ? kmem_cache_alloc_trace+0x1bb/0x2d0
 [<ffffffffa00b32a1>] ? drm_fb_helper_single_add_all_connectors+0x81/0xe0 [drm_kms_helper]
 [<ffffffffa0108d90>] ? intel_fbdev_init+0x90/0xc0 [i915]
 [<ffffffffa00c50f6>] ? i915_driver_load+0xb16/0xbd0 [i915]
 [<ffffffffa00625cf>] ? drm_get_minor+0x21f/0x2d0 [drm]
 [<ffffffffa006496a>] ? drm_get_pci_dev+0x17a/0x280 [drm]
 [<ffffffffa0114765>] ? i915_pci_probe+0x57/0x173 [i915]
 [<ffffffff812c0927>] ? local_pci_probe+0x17/0x20
 [<ffffffff812c1b21>] ? pci_device_probe+0x101/0x120
 [<ffffffff81388d12>] ? driver_sysfs_add+0x62/0x90
 [<ffffffff81388eb3>] ? driver_probe_device+0xa3/0x2b0
 [<ffffffff8138916b>] ? __driver_attach+0xab/0xb0
 [<ffffffff813890c0>] ? __driver_attach+0x0/0xb0
 [<ffffffff8138841c>] ? bus_for_each_dev+0x6c/0xa0
 [<ffffffff81388c4e>] ? driver_attach+0x1e/0x20
 [<ffffffff81387be8>] ? bus_add_driver+0x208/0x2d0
 [<ffffffff813894c6>] ? driver_register+0x76/0x140
 [<ffffffff812ac568>] ? __spin_lock_init+0x38/0x70
 [<ffffffff812c1d96>] ? __pci_register_driver+0x66/0xe0
 [<ffffffffa0148000>] ? i915_init+0x0/0x68 [i915]
 [<ffffffffa0064b8a>] ? drm_pci_init+0x11a/0x130 [drm]
 [<ffffffffa0148000>] ? i915_init+0x0/0x68 [i915]
 [<ffffffffa0148066>] ? i915_init+0x66/0x68 [i915]
 [<ffffffff8100204c>] ? do_one_initcall+0x3c/0x1d0
 [<ffffffff810c8013>] ? sys_init_module+0xe3/0x260
 [<ffffffff8100b072>] ? system_call_fastpath+0x16/0x1b
fbcon: inteldrmfb (fb0) is primary device

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install debug kernel boot system

Additional info:

00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02)
Comment 6 RHEL Product and Program Management 2014-07-17 10:30:20 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 14 errata-xmlrpc 2014-10-14 01:22:23 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.